<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 

<script language=JavaScript>
 function confirmation() {
    if(confirm("Despues de ingresar el tratamiento este no podrá ser modificado ni eliminado\nRealmente desea agregar el tratamiento?"))
    {
        return true;
    }
    return false;
  }
</script>

<?php
// toma nombre  del usuario
include("conexion.php");
include("header.php");
 
if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "formulario")) {

   $desTratamiento        = strtoupper($_POST['desTratamiento']);
   
   //trae el maximo tratamiento y le adiciona uno para el nuevo
   $queryMax  = "SELECT MAX(`codTratamiento`) as maximo FROM SIO_LIS_TRAT ";
   $resultMax = mysql_query($queryMax) or die('Consulta de maximo tratamiento fallida: ' . mysql_error());
   $lineMax = mysql_fetch_array($resultMax, MYSQL_ASSOC);
   //$maximo
   $codTrata = $lineMax['maximo']+1;
   $w_fecha  = date("Y-m-d",time());
   $usuario  = $s_idUsuario ;

   if(empty($desTratamiento)) {//nomTratamiento
      $error['desTratamiento'] = 'El Campo nombre del tratamiento nuevo puede estar vacio';
   } // desTratamiento 
   
   if(!$error){ //Validar Campos
    $sql_insert = " INSERT INTO SIO_LIS_TRAT (codTratamiento, desTratamiento, fecha, usuario) " .
                  " VALUES ($codTrata, '$desTratamiento', '$w_fecha', $usuario)";                    
    $result = mysql_query($sql_insert) or die('Adicion de tratamiento fallida: ' . mysql_error());  
  
    //echo $sql_insert;
    // Liberar resultados
    mysql_free_result($result); 
    
    //echo '<div align="center">Lo operacion ha resultado satisfactoria</div>';
  
   }//validacion  
 } //isset


?>



<?php
   $query = " SELECT * FROM SIO_LIS_TRAT ORDER by desTratamiento";
   $result = mysql_query($query) or die('Consulta de tratamientos fallida: ' . mysql_error());
   
   $i=0;
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) 
   {
     $codTratamiento  = $line['codTratamiento'];  
     $desTratamiento  = $line['desTratamiento'];  
     
     echo("<table class='camposTabla' align='center' width='700' border='1' cellpading='0'>\n");
     if ($i==0)
     {// para mostrar titulos 
       echo ("<tr>\n");
         echo ("<td class='titulosTabla' align='center' colspan='6'>LISTA DE ESPECIALIDADES</td>\n");
       echo("</tr>\n");
      
       echo("<tr>\n");
         echo("<td width='80%' class='negrita'>ESPECIALIDAD</td>\n");
       echo("</tr>\n");
      }
       if ($i%2==0)
        {
         // echo("<tr bgcolor='#3498db'>\n"); 
           echo("<tr>\n");
        }  
        else
        {
             echo("<tr>\n");
        }       
             
          echo("<td width='80%' class='camposTabla' align='left'>$desTratamiento</td>\n"); 
          
       echo("</tr>\n");
          
       $i = $i+1;
   }//while   
    echo("</table>\n");
  ?>
  
  
    
<!--================================================CAPTURA ESPECIALIDADES=========================--> 
<p>&nbsp;</p>
<center>
  <form  method="POST" action="" name="formulario" id="formulario" onsubmit="return confirmation()">
   <fieldset style="height:100px; width:200px;">
    <table width="500">
     <legend>ESPECIALIDADES</legend>
       <tr>
         <td>
           <label><b>Nombre de la nueva especialidad:</b>
         </td>
       <tr>
       <tr>
        <td>  
          <textarea style="text-transform:uppercase; family-font:Arial;" rows="2" cols="60" wrap="soft" name="desTratamiento" id="desTratamiento" REQUIRED></textarea>
        </td>
       </tr>  
       <tr>
        <td align="center">
	 <label for="enviar"></label>
         <input type="submit" name="enviar" id="enviar" value="Grabar" style="height:30px; width:300px;"/>
        </td>
       </tr>
    </table>         
   </fieldset>
   <input type="hidden" name="MM_insert" value="formulario" /> 
  </form>
</center>

<?php if ($error) { //validar campos
?>
<p>&nbsp;</p>
<p>&nbsp;</p>

<?php
   foreach ($error as $alerta) {
    echo "<script language='JavaScript'> alert('$alerta'); </script>";
	}
  } //validar campos

?>
<p>&nbsp;</p>

<table align="center" border="0">
  <tr>
    <td align = "center"> 
           <a href=menuOpciones.php title="Men&uacute; Principal"><img src="imagenes/btnVol.jpg"></a>
    </td>
  </tr>
</table>
    